function 装备回收NPC()
开启穿人穿怪()
走到(321,327,3)
关闭穿人穿怪()
对话NPC("经验回收")
等待(1000)
选择("一键回收③级")
选择("一键回收③级")
选择("一键回收③级")
选择("一键回收④级")
选择("一键回收④级")
选择("一键回收④级")
等待(1000)
end


function 回城()
等待(3000)
输出信息(当前地图编号)
if 当前地图编号=="3" then
if 相距(取整型变量信息("当前X"),取整型变量信息("当前Y"),333,333)>20 then
	使用物品("回城卷")
	等待(5000)
else
	走到(333,333,3)
end
else 
使用物品("回城卷")
等待(5000)
end
停止战斗()
end


function 出发()
发言("@服务")
等待(1500)
选择("幻境七层")
等待(1500)
走到(196,170,3)
对话NPC("幻境商贩")
等待(1500)
购买NPC物品("幻境商贩","超级魔法药", 2)
等待(1000)
购买NPC物品("幻境商贩","超级金创药", 10)
系统显示("准备战斗",255,16777215)
系统显示("/天涯无涯 我进入1号挂机地图，正常开始挂机")
end






系统显示("开开心心去挂机了",255,16777215) 
输出信息("挂机脚本执行到开头")
停止战斗()
回城()
装备回收NPC()
出发()
开始战斗()
输出信息("挂机脚本执行到尾部")


